## EDU.oswego.cs.dl.util.concurrent
Class DefaultChannelCapacity

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.DefaultChannelCapacity

    public class DefaultChannelCapacity

extends java.lang.Object

A utility class to set the default capacity of BoundedChannel implementations that otherwise require a capacity argument

See Also:
  `[ Introduction to this package. ]

  `

Field Summary
`static int` `INITIAL_DEFAULT_CAPACITY` The initial value of the default capacity is 1024

Constructor Summary
`DefaultChannelCapacity()`

Method Summary
`static int` `get()` Get the default capacity used in default (no-argument) constructor for BoundedChannels that otherwise require a capacity argument.
`static void` `set(int capacity)` Set the default capacity used in default (no-argument) constructor for BoundedChannels that otherwise require a capacity argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_DEFAULT_CAPACITY

    public static final int INITIAL_DEFAULT_CAPACITY

  The initial value of the default capacity is 1024

  See Also:
    Constant Field Values

Constructor Detail

### DefaultChannelCapacity

    public DefaultChannelCapacity()

Method Detail

### set

    public static void set(int capacity)

  Set the default capacity used in default (no-argument) constructor for BoundedChannels that otherwise require a capacity argument.

  Throws:
    `java.lang.IllegalArgumentException` - if capacity less or equal to zero

### get

    public static int get()

  Get the default capacity used in default (no-argument) constructor for BoundedChannels that otherwise require a capacity argument. Initial value is `INITIAL_DEFAULT_CAPACITY`

  See Also:
    `INITIAL_DEFAULT_CAPACITY`